API Documentation Download OpenAPI specification

Get all Internal Forwarding Accounts

GEThttps://bll.titan.email/partner/listInternalForwardingAccounts

API to fetch a list of all internal forwarding accounts for an order.

Query parameters

titanOrderIdnumberrequired

The unique Titan order ID against which the domain is provisioned

Example: 1

Responses

200OKapplication/json
reqIDstringrequired
Example: server.req.id
accountsobject[]
Show propertiesHide properties
emailstring

This is the name of the distribution list.

Example: sales@xyz.com
recipientsstring[]required

All the members within the distribution are listed under this parameter.

Example: ["data@xyz.com"]
See General Errors for other errors that this API can return.
GET/partner/listInternalForwardingAccounts
curl 'https://bll.titan.email/partner/listInternalForwardingAccounts?titanOrderId=1' \
  --header 'Authorization: API.Key'
Response
{
  "reqID": "server.req.id",
  "accounts": [
    {
      "email": "sales@xyz.com",
      "recipients": [
        "data@xyz.com"
      ]
    }
  ]
}